# [Forest](https://pub.dev/packages/forest)
### Biblioteca para consumir a API REST de https://zuraaa.com/
#### - Recursos:
|`Método`|`Parâmetro`|`Retorno`|
|-|-|-|
|getUser|`String` userId|`Object`|
|getBot|`String` botId|`Object`|
|getUserBots|`String` userId|`List<Object>`|
#### - Instalação:
##### pubspec.yaml
```
    dependencies:
        forest: ^1.0.1
```
```
pub get
```
#### Importação:
```dart
import 'package:forest/forest.dart' swow Zuraaa;
```
#### Exemplo:
```dart
    // Importando o pacote
    import 'package:forest/forest.dart' show Zuraaa;

    // Para tratar o Future dos métodos, utilizamos o assincronismo
    Future<void> main() async {
      // Instanciando a classe Zuraaa
      final zuraaa = Zuraaa();
      // Coletando o usuário
      final user = await zuraaa.getUser('ID');
      // Coletando o robô
      final bot = await zuraaa.getBot('ID');
      // Coletando os robôs do usuário
      final userbots = await zuraaa.getUserBots('ID');
      // Imprimindo o nome do usuário
      print(user['username']);
      // Imprimindo o nome do robô
      print(bot['username']);
      // Imprimindo uma lista de robôs do usuário
      print(userbots);
    }
```