// Importando pacotes
import 'dart:convert';
import 'package:http/http.dart' show Client;

// Criando uma instância de http:Client
final client = Client();

class Zuraaa {
  // Tratando exceções
  void _handle(int statusCode) {
    if (statusCode == 404) {
      throw Exception('ID inesxistente ou não cadastrado.');
    } else if (statusCode == 406) {
      throw Exception('O usuário não possui robôs.');
    }
  }

  // Aqui fazemos a requisição ao endereço desejado
  Future _request(String endpoint) async {
    final response = await client.get('https://zuraaa.com/api/$endpoint');
    // Tratamos as exceções
    _handle(response.statusCode);
    // Convertemos o corpo do resultado para JSON Object
    return json.decode(response.body);
  }

  // Coletamos as informações do endpoint /users/
  Future getUser(String id) {
    return _request('/users/$id');
  }

  // Coletamos as informações do endpoint /bots/
  Future getBot(String id) {
    return _request('/bots/$id');
  }

  // Coletamos as informações do endpoint /users/id/bots
  Future getUserBots(String id) {
    return _request('/users/$id/bots');
  }
}
